<!DOCTYPE html>
<html lang="en">
<head>
    <script src="{{ csset('/js/plugins/vue/vue@2.6.11.js') }}"></script>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="csrf-token" content="{{ csrf_token() }}">
	<meta property="og:image" content="/public/themes/kbgolf/pro/resources/images/og_img.png">
    <script src="https://t1.kakaocdn.net/kakao_js_sdk/2.1.0/kakao.min.js" integrity="sha384-dpu02ieKC6NUeKFoGMOKz6102CLEWi9+5RQjWSV0ikYSFFd8M3Wp2reIcquJOemx" crossorigin="anonymous"></script>
    <script src="https://static.nid.naver.com/js/naveridlogin_js_sdk_2.0.0.js"></script>


    @stack('meta')

    @php $seoHtml = App\Helpers\Utils::getSeoHtml(); @endphp
    @empty ($seoHtml)
        <title>{{ env('APP_NAME') }}</title>
        <link rel="icon" href="{{ msset(env('FAVICON_PATH')) }}" type="image/x-icon">
    @else
        {!! $seoHtml !!}
    @endempty

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Ubuntu:300,300i,400,400i,500,500i,700,700i&display=swap" rel="stylesheet">

    @php $basePath = '/themes/kbgolf/pro/resources'; @endphp

    @include('views.partial.site.meta', [ 'basePath' => $basePath ])
    @include('views.partial.site.scripts', [ 'basePath' => $basePath ])

    @stack('css')

</head>


<!-- page wrapper -->
<body class="boxed_wrapper">
    @inject('callApiService', 'App\Services\CallApiService')

    @php
        $mainMenuPerm = App\Helpers\Utils::getProMainMenu();
        $mainMenuPermPage = collect($mainMenuPerm['Page'])->filter(function ($menu) {
            return $menu['Sort'] === 'primary';
        })->toArray();
         $topMenuPermPage = collect($mainMenuPerm['Page'])->filter(function ($menu) {
            return $menu['Sort'] === 'top';
        })->toArray();
        $mainMenuList = App\Helpers\Utils::formatMenuList($mainMenuPermPage, 'MenuCode');
        $topMenuList = App\Helpers\Utils::formatMenuList($topMenuPermPage, 'MenuCode');
    @endphp

    @include('layouts.js-lang')
    @include('vendor.lara-izitoast.toast')
    <div id="quick-launcher"></div>
	<div id="quick-launcher">
		<div class="dabory-quick-B quick-launcher quick_kbgolf">
            <ul>
                <li>
                    <button type="button" class="return-to-bottom">
                        <span class="ico ico-bottom"></span>
                    </button>
                </li>
                <li>
					<dl class="quick_tel">
						<dt>	회원권 문의</dt>
						<dd>
							본사
							<strong>02-572-1888</strong>
						</dd>
						<dd>
							충청지사
							<strong>044-863-1889</strong>
						</dd>
					</dl>
				</li>

                @foreach ($oauth2InfoList as $provider => $oauth2)
                    @if($provider !='dabory')
						<!-- <button type="button" class="btn_{{$provider}}" onclick="window.location.href = '{{ route('social.redirectToProvider', [ 'oauth2Info' => $oauth2, 'provider' => $provider, 'target' => 'member' ]) }}'"> {{ $provider == 'kakao' ? '카카오' : '네이버' }} 1초 회원가입/로그인</button> -->
                        <li>
                            <button type="button" class="show-widget-btn" data-widget="{{ $provider }}" onclick="window.location.href = '{{ route('social.redirectToProvider', [ 'oauth2Info' => $oauth2, 'provider' => $provider, 'target' => 'member' ]) }}'">
                                <img src="{{ asset('themes/kbgolf/pro/resources/images/icn_' . $provider . 'talk.png') }}" alt="{{ $provider }}">
                                @if($provider == 'naver')
                                    <p class="txt">{{ $provider }} 톡톡</p>
                                @else
                                <p class="txt">{{ $provider }} 플러스 친구</p>
                                @endif
                            </button>
                        </li>
                    @endif
				@endforeach
				<!-- <li>

					<button type="button" class="show-widget-btn" data-widget="coupon">
						<img src="/themes/kbgolf/pro/resources/images/icn_navertalk.png" alt="네네이버 톡톡">
						<p class="txt">네이버 톡톡</p>
					</button>
				</li>
				<li>
					<button type="button" class="show-widget-btn" id="kakao-plus-friend-btn" data-widget="contact-us">
						<img src="/themes/kbgolf/pro/resources/images/icn_kakaotalk.png" alt="카톡 플러스 친구">
						<p class="txt">카톡 플러스 친구</p>
					</button>
				</li> -->
                <li>
                    <button type="button" class="return-to-top">
                        <span class="ico ico-top"></span>
                    </button>
                </li>
            </ul>
        </div>
	</div>

    <!-- main header -->
    @include('views.layouts.main-header')
    <!-- main-header end -->

    <!-- Mobile Menu  -->
    @include('views.layouts.mobile-menu')
    <!-- End Mobile Menu -->

    <div id="app">
        @yield('content')
    </div>

    <!-- main-footer -->
    @include('views.layouts.footer')
    <!-- main-footer end -->


    <!-- sidebar cart item -->
    @include('views.layouts.sidebar')
    <!-- END sidebar widget item -->

    <!--Scroll to top-->
    <button class="scroll-top scroll-to-target" data-target="html">
        <span class="fa fa-arrow-up"></span>
    </button>

    <div id="element_in_which_to_insert">
        @yield('modal')
        @stack('modal')
    </div>

    <!-- 카카오 모달 -->
    <!-- <div id="kakaoModal" class="modal">
        <div class="modal-content">
            <span class="close">&times;</span>
            <iframe id="kakaoIframe" src="" frameborder="0" style="width: 100%; height: 100%;"></iframe>
        </div>
    </div> -->

    @yield('js')
    @stack('js')

    <script src="{{ csset($basePath . '/js/script.js') }}"></script>

</body><!-- End of .page_wrapper -->

<script>
    window.apiKey = {
        KAKAO_REST_API_KEY: "{{ env('KAKAO_REST_API_KEY') }}"
    };
    window.naver.client = {
        NAVER_CLIENT_ID: "{{ env('NAVER_CLIENT_ID') }}"
    };
    window.naver.secret = {
        NAVER_CLIENT_SECRET: "{{ env('NAVER_CLIENT_SECRET') }}"
    };
    window.env = (@json($_ENV));
    window.Member = @json(session('member'));
    window.CodeTitle = @json($codeTitle ?? '');
</script>

{{--<script src="{{ asset('/dabory/js/widget.js?serverUrl=https://safebanner.daboryhost.com&api23Key=XJAL+1IF4/EgIVcuTvcAOoH9ASKjnQje71boZaGpzwVyVcCoVRsxzyMee5goucaC6cWxzLdEcYfIkfj6bLukvs9+lOeUa3CLqpCbhd7v99Bxm011kxUllDLY8/NrXFVn8aa1e57jygREHo7xF2LWOJ9LHc2idRmQ9rXbI46sgiZBwPmi6E/mACBIjUcKq+uviA==') }}"></script>--}}

<script>
    Kakao.init(window.apiKey.KAKAO_REST_API_KEY);
    $(document).ready(function () {
        // $.fn.widget.loadModule(function () {
        //     $('#quick-launcher').quick()
        // })

        $('.show-widget-btn').on('click', function() {
            var widgetType = $(this).data('widget');
            if (widgetType === 'coupon') {  //네이버
                // var naverLogin = new naver.LoginWithNaverId(
                // {
                //     clientId: window.naver.client.NAVER_CLIENT_ID,
                //     isPopup: true,
                //     loginButton: { color: "green", type: 3, height: 60 }
                // });

                // naverLogin.getLoginStatus(function(status) {
                //     if (status) {
                //         var user = naverLogin.user;
                //         openNaverTalk();
                //     } else {
                //         callbackUrl ='http://localhost:8002/naver/callback';
                //         openNaverLogin( window.naver.client.NAVER_CLIENT_ID, callbackUrl );
                //     }
                // });
            }else{  // 카카오

                // var kakaoAuthUrl = `/social/kakao/callback`;
                // window.location.href = kakaoAuthUrl;
                // var channelId = '_aAAGj';
                // var appKey = window.apiKey.KAKAO_REST_API_KEY;
                // var origin = encodeURIComponent(window.location.origin);
                // var referer = encodeURIComponent(window.location.href);
                // var kakaoAgent = encodeURIComponent('sdk/2.1.0 os/javascript sdk_type/javascript lang/ko-KR device/Win32 origin/' + origin);
                // var redirectUri = `https://pf.kakao.com/${channelId}/chat?api_ver=1.1&kakao_agent=${kakaoAgent}&app_key=${appKey}&referer=${referer}`;


                // var redirectUri = encodeURIComponent(window.location.origin + '/kakao/callback');
                // var kakaoAuthUrl = `https://kauth.kakao.com/oauth/authorize?response_type=code&client_id=${window.apiKey.KAKAO_REST_API_KEY}&redirect_uri=${redirectUri}`;
                // window.location.href = kakaoAuthUrl;
                // kakaoIframe.src = redirectUri;
                // kakaoModal.style.display = "block";
                // if (Kakao.Auth.getAccessToken()) {
                //     window.open(redirectUri, '_blank');
                // } else {
                //     Kakao.Auth.authorize({
                //         redirectUri: redirectUri
                //     });
                // }
            }

            // closeModal.onclick = function() {
            //     kakaoModal.style.display = "none";
            //     kakaoIframe.src = ""; // 모달 창 닫을 때 iframe src 초기화
            // }

            // window.onclick = function(event) {
            //     if (event.target == kakaoModal) {
            //         kakaoModal.style.display = "none";
            //         kakaoIframe.src = ""; // 모달 창 닫을 때 iframe src 초기화
            //     }
            // }
    });


    });

</script>

</html>
